Subject: Dave's Guide to ][e Keyboard Repair
From: [email-masked] (Dave Althoff)
Date: Mon, 6 Jun 1994 23:13:40 -0400 (EDT)
Newsgroups: comp.sys.apple2

Most Apple ][e's use all-mechanical Alps keyswitches in the keyboards. 
Some use a short-stem switch, some use a short-stem switch with an
extender, and some use a long-stem switch.  In most cases, the switches
are not repairable.

Fortunately, replacement  is fairly easy.

1.  Remove the screws from the bottom of the ][e case, and remove the top
half of the case.

2.  Scribe the position of the keyboard on the keyboard support brackets,
to facilitate reinstallation.

3.  Remove the keycaps of the blown key and the surrounding keys.

4.  Remove the four keyboard mounting  screws, and unplug the ribbon
connector from the keyboard.  At this point, I generally find it
convenient to mount the keyboard PCB-side-up on the mounting brackets.

5.  Locate the two solder pads under the blown key.  Heat these pads and,
using a vacuum bulb, remove all of the solder from the pins.  Grasp the
exposed pins with a small plier and wiggle a bit to make sure they are
free of the board.

6.  To remove the keyswitch, you must fully depress the tabs on either
side of the key stem, and lift the entire switch upward.  This is the
tricky part.

7.  To install the new keyswitch, simply press the switch into the hole in
the keyboard until it snaps  into position.  Carefully solder the pins to
the pads  on the PC board, then reinstall the keyboard  in the reverse of 
removal.

8.   When reinstalling the keyboard, line the edges up with the scribe
marks on the brackets.  If you get it malpositioned, you may find that
certain keys (most notably the "`") will stick by jamming against the
system cover.

If you need more information, I am...

--Dave Althoff, Jr.
([email-masked])
(long-time Apple ][ user)

Newsgroups: comp.sys.apple2
Path: news.weeg.uiowa.edu!news.uiowa.edu!uunet!newsflash.concordia.ca!vax2.concordia.ca!spector
From: [email-masked] (Mitchell Spector)
Subject: Re: Keyboard repair
Message-ID: <[email-masked]>
Summary: 3 key doesn't work; help!
News-Software: VAX/VMS VNEWS 1.41    
Sender: [email-masked] (USENET News System)
Nntp-Posting-Host: vax2.concordia.ca
Organization: Concordia University
References: <[email-masked]>
Date: Tue, 7 Jun 1994 16:05:00 GMT
Lines: 35

In article [email-masked] (will irace) writes...
> 
>I've just picked up a //e enhanced, and it's great except for the fact
>that the "3" key is stone cold dead.  ("Aaigh! no PR#6!")  I've taken it
>apart only to find that the keyboard is apparently RIVETED together!  Is
>there no way for me to repair this?  How about some sort of workaround
>(i.e., figuring out which pins I should short together to get a "3" out)?

	I had a simular problem happen to me recently. Some months ago, my 
friend found an Apple //e in the trash and gave it to me the night of Oct.31st 
last year (hey, talk about your "enchanted" //e! ;-), but the keyboard was 
damaged and it was missing a screen. I soon discovered it would be much cheaper
to just buy another second-hand //e, than pay for a replacement keyboard and 
monitor. So, a few weeks ago that's just what I did! When I brought it home
it was fairly dirty, so I took it apart and cleaned everything including the
brand-new _working_ keyboard. Unfortunately, once I put everything back 
together, I found many of the keys were acting totally dead. Well, I was
on verge of giving up until I tried this....

	Remove the plastic-keycap on your "3" key. Do you see little plastic 
tabs on either side on the the keyswitch? Poke something in between these tabs 
(ie - toothpick, long metal-pin) and very gently pry them away from the 
keyswitch. If that doesn't work, push them in closer. Try depressing the 
keyswitch  (without keycap back on yet) until you get a response on screen 
from the "3" key again. You might have to play around until it's fully 
functioning again. In my case, I think there was a contact-pad or something 
simular that wasn't making a connection. While this solution may not sound so 
orthodox, it may just save you from having to do any messy soldering. 

>Will Irace
>[email-masked]

Mitchell Spector
[email-masked] / [email-masked]